/* Prototypes for functions defined in drawmap.c */
int CXBRK(void);
int readmap(short *ws, unsigned char *fname, int num);
void InitTextRequest(void);
int HandleEvent(struct IntuiMessage *msg);
void fullmap(short *ws, int type, int fill);
void grid(long val, double lat0, double lam0);
void globe_grid(long val, double lat0, double lam0);
void globe_grid_plot(double lat, double lam, double c0, double s0,
                     double c1, double s1, double c2, double s2,
                     long val, double hp, double scale, double fac3,
                     unsigned char *first);
int limit_lam(double *lam, double lat, double lat0, double etap);
int limit_lat(double *lat, double lat0, double lam, double etap);
void getcoord(int x, int y, long val, double *lat, double *lam);
void globe(short *ws, short *ws_trig, double lat0, double lam0, long val,
           int fill);
void globe_fill(short np, short narea, short nrim_in, short nrim_out,
                long first_color);
void globe_rim_fix(short *h1, short *h2);
void globe_tidy(short *td, short *td_trig, double lat0, double lam0,
                long val);
void stars(void);
void floodfill(short color);
void shadow(void);
int getbox(int *x0, int *y0, int *x, int *y);
void drawbox(int x1, int y1, int x2, int y2);
void box(short *ws, double *latp, double *lamp, int fill);
void box_tidy(double lat1, double lam1, double lat2, double lam2,
              double bcx, double bcy, double xscale, double yscale);
void do_text(struct IntuiMessage *msgin, short color);
void afill(short pairs, long pen);
void adraw(short pairs);
void plotpoint(short x, short y);
void drawline(short color);
void setwin(struct Window *w, ULONG traprmb, ULONG idcmpflags, UBYTE *title);
LONG dump(struct Window *win);
void CloseCon(struct IOStdReq *conioreq);
struct IOStdReq *OpenCon(struct Window *win);
void WriteCon(struct IOStdReq *conioreq, UBYTE *data, LONG length);
void displayhelp(void);
LONG save(UBYTE *filename);
IFFP PutAnILBM(LONG file, struct BitMap *bitmap, WORD *colorMap, UBYTE depth,
               ULONG viewmodes);
void FreeArpRequest(struct FileRequester *freq);
struct FileRequester *AllocArpRequest(UBYTE *fname);
LONG saveas(UBYTE *fname);
